SACN::Node Class Reference

The Node class. More...

`#include <node.h>`

Inheritance diagram for SACN::Node:
[legend]

## Public Member Functions

| Node (UUID::uuid=UUID::uuid())
| Node::Node. More...
Public Member Functions inherited from SACN::Receiver
| Receiver (UUID::uuid=UUID::uuid())
| Receiver::Receiver. More...
| ~Receiver ()
| Receiver::~Receiver.
virtual void | subscribe (const uint16_t)
| Receiver::subscribe. More...
virtual void | unsubscribe (const uint16_t)
| Receiver::unsubscribe. More...
Universe * | universe (const uint16_t)
| Receiver::universe. More...
void | discoveryStart ()
| Receiver::discoveryStart.
void | discoveryStop ()
| Receiver::discoveryStop.
void | onDiscovered (const EXTENDED::DISCOVERY::Watcher)
| Receiver::onDiscovered. More...
Public Member Functions inherited from ACN::RLP::Component
| Component (UUID::uuid=UUID::uuid())
| Component::Component. More...
virtual void | UdpPayloadReceiver (PDU::Stream)
| Component::UdpPayloadReceiver. More...
virtual void | TcpPacketReceiver (PDU::Stream)
| Component::TcpPacketReceiver. More...
Public Member Functions inherited from ACN::Component
| Component (UUID::uuid cid=UUID::uuid())
| Component. More...
const UUID::uuid | cid () const
| cid More...
const std::string | fixedName () const
| fixedName fixed component name More...
const std::string | userName () const
| userName user-asigned name More...
const std::string | name () const
| component name, either user asigned or fixed. More...
void | assignUserName (const std::string s)
| set the user asigned name More...
Public Member Functions inherited from SACN::Source
| Source (UUID::uuid=UUID::uuid())
| Source::Source. More...
virtual void | create (const uint16_t)
| Source::create. More...
virtual void | terminate (const uint16_t)
| Source::terminate. More...
Universe * | universe (const uint16_t)
| Source::universe. More...

## Additional Inherited Members

Protected Member Functions inherited from SACN::Receiver
void | dataReceiver (ACN::PDU::Message< ACN::RLP::Pdu >)
| Receiver::dataReceiver - dispatcher of RLP DATA PDU. More...
void | extendedReceiver (ACN::PDU::Message< ACN::RLP::Pdu >)
| Receiver::extendedReceiver - dispatcher of RLP EXTENDED PDU. More...
void | dataFrameHandler (ACN::PDU::Message< DATA::Pdu >)
| Receiver::dataFrameHandler. More...
void | syncFrameHandler (ACN::PDU::Message< EXTENDED::Pdu >)
| Receiver::syncFrameHandler. More...
void | discoveryFrameHandler (ACN::PDU::Message< EXTENDED::Pdu >)
| Receiver::discoveryFrameHandler. More...
void | discoveryListHanlder (ACN::PDU::Message< EXTENDED::DISCOVERY::Pdu >)
| Receiver::discoveryListHanlder. More...
Protected Member Functions inherited from ACN::RLP::Component
void | RlpReceiver (PDU::Message< RLP::Pdu >)
| Component::RlpReceiver. More...
void | RlpRegisterVector (uint32_t, PDU::Handler< RLP::Pdu >)
| Component::RlpRegisterVectorHandler. More...
Protected Member Functions inherited from SACN::Source
virtual void | end (const uint16_t)
| Source::end. More...
Protected Attributes inherited from ACN::Component
std::string | fctn_
| EPI 19: ACN Discovery on IP Networks. More...
std::string | uacn_
| 3.2. More...

## Detailed Description

The Node class.

## Constructor & Destructor Documentation

## Node()

SACN::Node::Node | ( | UUID::uuid | cid = `UUID::uuid()` | ) |

Node::Node.

Parameters

  cid |

The documentation for this class was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sacn/node.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sacn/node.cpp